<?php if (!defined('PmWiki')) exit();
/*
  BlogIt-RSS by Markus Konrad <mako@mako-home.de>
  RSS newsfeeds for BlogIt.

  More information about this cookbook at at
  http://www.pmwiki.org/wiki/Cookbook/BlogItRSS

  This cookbook is an extension for the BlogIt cookbook by DaveG. More
  information about BlogIt at http://www.pmwiki.org/wiki/Cookbook/BlogIt
  
  This code is licensed under the
  GNU General Public License version 2.0
  as distributed with PmWiki.
*/


/**
 * Set default variable values
 */
SDV($bi_RSSPage, 'Newsfeeds.Blog');
SDV($bi_RSSGroup, $bi_DefaultGroup);


/**
 * Begin cookbook code
 */

$HTMLHeaderFmt['feedlinks'] = '<link rel="alternate" type="application/rss+xml"
 title="$WikiTitle" href="$ScriptUrl/' . $bi_RSSPage . '" />';

if (ResolvePageName($pagename) == $bi_RSSPage)
{
  $_REQUEST['action'] = 'rss';
  $action = 'rss';
  $_REQUEST['group'] = 'Blog';
  $_REQUEST['name'] = '-RecentChanges';

  # Set the feed options
  $FeedFmt['rss']['feed']['title'] = $WikiTitle;
  $FeedFmt['rss']['feed']['description'] = $WikiTag;
  # Set each item's options
  $FeedFmt['rss']['item']['author'] = '$LastModifiedBy';
  $FeedFmt['rss']['item']['link'] = '{$PageUrl}?when=$ItemISOTime';
  $FeedFmt['rss']['item']['title'] = '{$Group} / {$Title}';
  $FeedFmt['rss']['item']['description'] = 'FeedText';

  function FeedText($pagename, &$page, $tag)
  {
    if (!CondAuth($pagename,'read'))
      return '';

    if (PageTextVar($pagename, 'entrytype') != 'blog')
      return '';
    
    $p = ReadPage($pagename);

    return '<' . $tag . '><![CDATA['
      . MarkupToHTML($pagename, $p['text']) .
      ']]></' . $tag . '>';
  }

  include_once("scripts/feeds.php");
}